Bug 85373

Summary: [jhbuild] [EFL] Bump EFL and libffi dependencies.
Product: WebKit Reporter: Raphael Kubo da Costa (:rakuco) <rakuco>
Component: Tools / TestsAssignee: Raphael Kubo da Costa (:rakuco) <rakuco>
Status: RESOLVED FIXED    
Severity: Normal CC: d-r, gns, gyuyoung.kim, mrobinson, pnormand, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 85790    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Fix the libffi version in the ChangeLog
none
Update fonts as well after talking to Dominik
none
Update -DDOWNLOADED_FONTS_DIR
none
Patch for landing with a better ChangeLog
none
Patch none

Description Raphael Kubo da Costa (:rakuco) 2012-05-02 07:17:51 PDT
[jhbuild] [EFL] Bump EFL and libffi dependencies.
Comment 1 Raphael Kubo da Costa (:rakuco) 2012-05-02 07:18:43 PDT
Created attachment 139809 [details]
Patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2012-05-02 07:22:34 PDT
Created attachment 139811 [details]
Fix the libffi version in the ChangeLog
Comment 3 Raphael Kubo da Costa (:rakuco) 2012-05-02 07:29:12 PDT
Created attachment 139813 [details]
Update fonts as well after talking to Dominik
Comment 4 Dominik Röttsches (drott) 2012-05-02 07:32:55 PDT
Generally looks okay to me - let me check this patch on a DRT run locally before landing.
Comment 5 Dominik Röttsches (drott) 2012-05-04 07:52:30 PDT
Missing change for updated fonts as in http://pastebin.com/avru408M
Ran it locally, results are about the same as buildbot. Fine with me with that change and the caveat that the buildbots need a clean WebKitBuild/Dependencies folder, otherwise jhbuild update does not cleanly complete.
Comment 6 Raphael Kubo da Costa (:rakuco) 2012-05-04 08:05:07 PDT
Created attachment 140230 [details]
Update -DDOWNLOADED_FONTS_DIR
Comment 7 Raphael Kubo da Costa (:rakuco) 2012-05-04 08:09:41 PDT
CC'ing a few jhbuild-related people for an r+
Comment 8 Gustavo Noronha (kov) 2012-05-04 08:17:24 PDT
(In reply to comment #5)
> Ran it locally, results are about the same as buildbot. Fine with me with that change and the caveat that the buildbots need a clean WebKitBuild/Dependencies folder, otherwise jhbuild update does not cleanly complete.

We fixed that by keeping an md5sum of the jhbuild configuration files and wiping the directories when they change (in webkitdirs.pm), you may want to do the same!
Comment 9 Gustavo Noronha (kov) 2012-05-04 08:18:25 PDT
Comment on attachment 140230 [details]
Update -DDOWNLOADED_FONTS_DIR

As discussed on IRC, would be good to have the reasons for the bumping in the ChangeLog.
Comment 10 Raphael Kubo da Costa (:rakuco) 2012-05-04 08:22:02 PDT
Created attachment 140239 [details]
Patch for landing with a better ChangeLog
Comment 11 Dominik Röttsches (drott) 2012-05-07 04:23:29 PDT
(In reply to comment #8)

> We fixed that by keeping an md5sum of the jhbuild configuration files and wiping the directories when they change (in webkitdirs.pm), you may want to do the same!

True, filed as bug 85790.
Comment 12 Raphael Kubo da Costa (:rakuco) 2012-05-07 13:07:08 PDT
Marking this one as depending on bug 85790, as I feel more confident landing this one after that.
Comment 13 Gyuyoung Kim 2012-07-01 19:06:25 PDT
Hello Kubo,

In Bug 90333, I submit a patch to bump efl libraries. If Bug 90333 can support this patch as well, can you update this patch again ? If not so, please let me know.
Comment 14 Raphael Kubo da Costa (:rakuco) 2012-07-02 21:24:34 PDT
These days all the dependencies bumped in this patch have already been updated, except for libffi. I'll work on that soon.
Comment 15 Raphael Kubo da Costa (:rakuco) 2012-07-02 21:34:39 PDT
Created attachment 150529 [details]
Patch
Comment 16 Gyuyoung Kim 2012-07-02 21:55:38 PDT
Comment on attachment 150529 [details]
Patch

Looks good to me.
Comment 17 WebKit Review Bot 2012-07-03 10:16:12 PDT
Comment on attachment 150529 [details]
Patch

Clearing flags on attachment: 150529

Committed r121782: <http://trac.webkit.org/changeset/121782>
Comment 18 WebKit Review Bot 2012-07-03 10:16:21 PDT
All reviewed patches have been landed.  Closing bug.